"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const winston = __importStar(require("winston"));
const level = process.env.NVIM_NODE_LOG_LEVEL || 'debug';
const winstonLogger = winston.createLogger({
    level,
});
if (process.env.NVIM_NODE_LOG_FILE) {
    winstonLogger.add(new winston.transports.File({
        filename: process.env.NVIM_NODE_LOG_FILE,
        level,
    }));
}
if (process.env.ALLOW_CONSOLE) {
    winstonLogger.add(new winston.transports.Console({
        format: winston.format.simple(),
    }));
}
exports.logger = winstonLogger;
